The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Обновление PHP 5.6.2, 5.5.18 и 5.4.34 с устранением уязвимостей"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Обновление PHP 5.6.2, 5.5.18 и 5.4.34 с устранением уязвимостей"  +/
Сообщение от opennews (ok) on 17-Окт-14, 12:05 
Доступны (http://php.net/archive/2014.php#id2014-10-16-3) корректирующие выпуски языка программирования PHP -  5.6.2, 5.5.18 и 5.4.34, в которых и устранены 4 проблемы, связанные с безопасностью, в том числе уязвимости  CVE-2014-3668, CVE-2014-3669 и CVE-2014-3670.


Наиболее опасной является проблема (https://bugs.php.net/bug.php?id=68044) CVE-2014-3669, которая может привести к целочисленному переполнению при выполнении  операции разбора специально оформленных сериализированных данных с использованием функции unserialize(). Уязвимость проявляется только на 32-разрядных системах, но её опасность усугубляется тем, что часто сериализированные данные могут поступать из подконтрольных пользователю каналов.

Кроме того, в новых выпусках устранены: возможность подстановки нулевого символа в  cURL, повреждение кучи при обработке специально оформленных данных в exif_thumbnail() и переполнение буфера (https://bugs.php.net/bug.php?id=68027) в функции  mkgmtime() из модуля XMLRPC.

URL: http://php.net/archive/2014.php#id2014-10-16-3
Новость: https://www.opennet.ru/opennews/art.shtml?num=40854

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Обновление PHP 5.6.2, 5.5.18 и 5.4.34 с устранением уязвимос..."  +/
Сообщение от oops (ok) on 17-Окт-14, 12:05 
из release notes для 5.4.34

> Also, a fix for OpenSSL which produced regressions was reverted

Ура! это сильно портило жизнь

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Обновление PHP 5.6.2, 5.5.18 и 5.4.34 с устранением уязвимос..."  –1 +/
Сообщение от Аноним (??) on 17-Окт-14, 12:07 
Обновляй не обновляй. Устраняй не устраняй.
А пыхапетц иначе работать не способен.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

3. "Обновление PHP 5.6.2, 5.5.18 и 5.4.34 с устранением уязвимос..."  +/
Сообщение от Vov on 17-Окт-14, 14:36 
http://xkcd.com/1312/
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру